# Changelog
Do this to generate your change history

    git log --pretty=format:'  * [%h](https://github.com/pact-foundation/pact-go/commit/%h) - %s (%an, %ad)' vX.Y.Z..HEAD | egrep -v "wip(:|\()" | grep -v "docs(" | grep -v "chore(" | grep -v Merge | grep -v "test("

## Versions

### v1.5.1 (09 October 2020)
  * [65822cd](https://github.com/pact-foundation/pact-go/commit/65822cd) - fix: misleading error message in certain verification scenarios (Matt Fellows, Fri Oct 9 23:59:37 2020 +1100)

### v1.5.0 (08 October 2020)
  * [d3abbd8](https://github.com/pact-foundation/pact-go/commit/d3abbd8) - feat: allow setting of ProviderTags on VerifyMessageRequest (James Halsall, Tue Sep 15 08:57:24 2020 +0100)
  * [d3c15fb](https://github.com/pact-foundation/pact-go/commit/d3c15fb) - docs: close img tag so it is valid mdx for docs.pact.io (Beth Skurrie, Sat Aug 15 18:02:16 2020 +1000)

### v1.4.4 (14 August 2020)
  * [a0227bb](https://github.com/pact-foundation/pact-go/commit/a0227bb) - fix: make tests fail on non-zero status (Matt Fellows, Fri Aug 7 14:37:42 2020 +1000)
  * [a7d9596](https://github.com/pact-foundation/pact-go/commit/a7d9596) - fix: timeout in integration test (Matt Fellows, Fri Aug 7 14:18:24 2020 +1000)
  * [4fe810d](https://github.com/pact-foundation/pact-go/commit/4fe810d) - fix: race in v2 client (Matt Fellows, Sun Aug 2 16:51:43 2020 +1000)
  * [2ea979c](https://github.com/pact-foundation/pact-go/commit/2ea979c) - fix: increase max size of pact output buffer (Cody Tatman, Thu Aug 6 18:11:26 2020 -0700)
  * [e25aa73](https://github.com/pact-foundation/pact-go/commit/e25aa73) - chore: avoid recompiling struct tag matching regexes (Michał Klimuk, Wed Jul 29 10:50:14 2020 +0200)
  * [1c18257](https://github.com/pact-foundation/pact-go/commit/1c18257) - fix: address various misspellings (Ben Wells, Fri Jul 17 12:55:33 2020 +0100)
  * [c77c0fd](https://github.com/pact-foundation/pact-go/commit/c77c0fd) - chore: return error if timeout occurs during provider verification (Matt Fellows, Thu Jul 16 17:14:31 2020 +1000)
  * [68baf93](https://github.com/pact-foundation/pact-go/commit/68baf93) - chore: wrap snyk in guard to prevent PRs failing (Matt Fellows, Sun Jul 5 22:48:32 2020 +1000)
  * [146de2c](https://github.com/pact-foundation/pact-go/commit/146de2c) - fix: handle JSON tags correctly (Jonathan Nowak, Tue Jun 30 07:28:00 2020 +0200)
  * [aec1bf2](https://github.com/pact-foundation/pact-go/commit/aec1bf2) - build: test golang 1.11 -> 1.14 (Matt Fellows, Mon Jun 29 09:57:01 2020 +1000)
  * [d93c924](https://github.com/pact-foundation/pact-go/commit/d93c924) - chore: remove build-only deps (Matt Fellows, Mon Jun 29 09:55:55 2020 +1000)
  * [9d3b451](https://github.com/pact-foundation/pact-go/commit/9d3b451) - chore: add semantic status checks for PRs and commit messages (Matt Fellows, Mon Jun 29 09:49:03 2020 +1000)
  * [88d6be4](https://github.com/pact-foundation/pact-go/commit/88d6be4) - build: add snyk to build (Matt Fellows, Mon Jun 29 09:47:03 2020 +1000)
  * [2b0ad4c](https://github.com/pact-foundation/pact-go/commit/2b0ad4c) - chore: remove Gopkg lock files (Matt Fellows, Mon Jun 29 09:25:24 2020 +1000)
  * [18398ce](https://github.com/pact-foundation/pact-go/commit/18398ce) - feat: update to standalone 1.86.0 and support new verifier options: --log-level and --log-dir (Matt Fellows, Sat Jun 27 14:21:33 2020 +1000)
  * [26aac7a](https://github.com/pact-foundation/pact-go/commit/26aac7a) - chore: add workflow to trigger sync to docs.pact.io when any markdown files change (Beth Skurrie, Fri Jun 26 15:14:33 2020 +1000)
  * [264394a](https://github.com/pact-foundation/pact-go/commit/264394a) - docs: move troubleshooting from wiki to repo (Beth Skurrie, Fri Jun 26 14:50:55 2020 +1000)
  * [9f54764](https://github.com/pact-foundation/pact-go/commit/9f54764) - docs: update links (Beth Skurrie, Fri Jun 26 14:49:31 2020 +1000)
  * [2fdb281](https://github.com/pact-foundation/pact-go/commit/2fdb281) - docs: update urls (Beth Skurrie, Fri Jun 26 14:46:45 2020 +1000)
  * [1fd82fb](https://github.com/pact-foundation/pact-go/commit/1fd82fb) - docs: use https instead of https for slack image (Beth Skurrie, Fri Jun 26 14:42:29 2020 +1000)
  * [7b0175f](https://github.com/pact-foundation/pact-go/commit/7b0175f) - docs: update for rending in docs.pact.io (Beth Skurrie, Fri Jun 26 14:42:00 2020 +1000)

### v1.4.3 (09 June 2020)
  * [4710769](https://github.com/pact-foundation/pact-go/commit/4710769) - chore: allow response body to be traced (Matt Fellows, Tue Jun 9 10:46:04 2020 +1000)

### v1.4.2 (09 June 2020)
  * [41c3c52](https://github.com/pact-foundation/pact-go/commit/41c3c52) - fix: use stderr scanner on captureing stderr (Shin'ya UEOKA, Mon Jun 8 23:07:01 2020 +0000)

### v1.4.1 (22 May 2020)
  * [0dfbb4b](https://github.com/pact-foundation/pact-go/commit/0dfbb4b) - fix: remove deadlock for large provider tests (Matt Fellows, Thu May 21 22:06:06 2020 +1000)
  * [118452e](https://github.com/pact-foundation/pact-go/commit/118452e) - chore: fix typo for no pacts error (Dom Udall, Tue May 19 14:11:03 2020 +0100)
  * [11629f8](https://github.com/pact-foundation/pact-go/commit/11629f8) - docs: make it clear that WIP/Pending pacts only available on Pactflow currently (Matt Fellows, Mon May 11 10:11:21 2020 +1000)

### v1.4.0 (04 May 2020)
  * [ac9f226](https://github.com/pact-foundation/pact-go/commit/ac9f226) - fix: pass arguments to the provider verifier (Matt Fellows, Mon May 4 11:16:29 2020 +1000)
  * [1238fba](https://github.com/pact-foundation/pact-go/commit/1238fba) - chore: remove consumer setting in provider examples (Matt Fellows, Fri May 1 10:53:29 2020 +1000)
  * [320272d](https://github.com/pact-foundation/pact-go/commit/320272d) - docs: no need to specify consumer in provider test (Matt Fellows, Fri May 1 10:35:58 2020 +1000)
  * [c255974](https://github.com/pact-foundation/pact-go/commit/c255974) - docs: update WIP pacts description (Matt Fellows, Wed Apr 15 15:16:49 2020 +1000)
  * [a53da07](https://github.com/pact-foundation/pact-go/commit/a53da07) - docs: pending and WIP pacts (Matt Fellows, Thu Apr 9 11:06:38 2020 +1000)

### v1.3.0 (09 April 2020)
  * [50b56b7](https://github.com/pact-foundation/pact-go/commit/50b56b7) - feat: add support for wip pacts (Matt Fellows, Thu Apr 9 10:18:06 2020 +1000)

### v1.2.0 (18 March 2020)
  * [b85181f](https://github.com/pact-foundation/pact-go/commit/b85181f) - build(windows): add docker compose for local testing (Matt Fellows, Fri Mar 6 21:07:44 2020 +1100)
  * [fa558a6](https://github.com/pact-foundation/pact-go/commit/fa558a6) - fix: missing err check for http proxy (Matt Fellows, Fri Mar 6 16:52:58 2020 +1100)
  * [9b03624](https://github.com/pact-foundation/pact-go/commit/9b03624) - chore: add -x to install for debugging (Matt Fellows, Fri Mar 6 15:49:36 2020 +1100)
  * [d25becc](https://github.com/pact-foundation/pact-go/commit/d25becc) - build(windows): fail build if commands fail, because, Windows (Matt Fellows, Fri Mar 6 15:31:47 2020 +1100)
  * [3310f72](https://github.com/pact-foundation/pact-go/commit/3310f72) - fix: broken consumer selector test (Matt Fellows, Fri Mar 6 15:19:34 2020 +1100)
  * [bc0a4fd](https://github.com/pact-foundation/pact-go/commit/bc0a4fd) - build: use go mod instead of 'dep' in windows builds (Matt Fellows, Fri Mar 6 15:00:58 2020 +1100)
  * [fec0bf0](https://github.com/pact-foundation/pact-go/commit/fec0bf0) - chore: add missing vendored dependencies (Matt Fellows, Fri Mar 6 14:57:50 2020 +1100)
  * [ed61c16](https://github.com/pact-foundation/pact-go/commit/ed61c16) - build: update appveyor go version (Matt Fellows, Fri Mar 6 14:38:19 2020 +1100)
  * [fc2566e](https://github.com/pact-foundation/pact-go/commit/fc2566e) - chore: add 1.13.x to build matrix (Matt Fellows, Thu Feb 27 09:55:06 2020 +1100)
  * [8d96456](https://github.com/pact-foundation/pact-go/commit/8d96456) - fix: update self-signed certificates to expire in 10 years (Matt Fellows, Mon Feb 24 15:21:03 2020 +1100)
  * [9a0fdf3](https://github.com/pact-foundation/pact-go/commit/9a0fdf3) - feat: pending pacts + selectors (Matt Fellows, Wed Jan 22 17:28:19 2020 +1100)
  * [d457b86](https://github.com/pact-foundation/pact-go/commit/d457b86) - docs: update how to release notes (Matt Fellows, Wed Jan 22 10:54:11 2020 +1100)
  * [c47a181](https://github.com/pact-foundation/pact-go/commit/c47a181) - chore: bump minimum versions of standalone libs (Matt Fellows, Wed Jan 22 10:52:10 2020 +1100)
  * [aa4db89](https://github.com/pact-foundation/pact-go/commit/aa4db89) - fix: cleanup pact tests (Matt Fellows, Wed Feb 12 14:27:25 2020 +1100)
  * [2060e2c](https://github.com/pact-foundation/pact-go/commit/2060e2c) - fix: remove pending/selectors from pact examples (Matt Fellows, Wed Feb 12 13:53:50 2020 +1100)
  * [a3bb53c](https://github.com/pact-foundation/pact-go/commit/a3bb53c) - wip (Matt Fellows, Wed Feb 5 17:29:03 2020 +1100)
  * [cdc7464](https://github.com/pact-foundation/pact-go/commit/cdc7464) - feat: add consumer version selectors (Matt Fellows, Wed Feb 5 11:25:37 2020 +1100)
  * [9fa7706](https://github.com/pact-foundation/pact-go/commit/9fa7706) - docs: update how to release notes (Matt Fellows, Wed Jan 22 10:54:11 2020 +1100)

### v1.1.0 (22 January 2020)
  * [35af37d](https://github.com/pact-foundation/pact-go/commit/35af37d) - chore: bump minimum versions of standalone libs (Matt Fellows, Wed Jan 22 10:52:10 2020 +1100)
  * [ad9fe09](https://github.com/pact-foundation/pact-go/commit/ad9fe09) - feat(pending): support initial pending pacts implementation (Matt Fellows, Mon Jan 20 17:16:16 2020 +1100)
  * [a88e2e2](https://github.com/pact-foundation/pact-go/commit/a88e2e2) - chore: add a code of conduct (Matt Fellows, Tue Dec 3 10:45:26 2019 +1100)

### v1.0.4 (01 November 2019)
  * [faab07c](https://github.com/pact-foundation/pact-go/commit/faab07c) - fix: os package missing in Publish. Fixes #121 (Matt Fellows, Fri Nov 1 08:32:17 2019 +1100)
  * [d844d45](https://github.com/pact-foundation/pact-go/commit/d844d45) - fix: test suite should fail if non-zero exit code (Matt Fellows, Fri Nov 1 08:31:25 2019 +1100)

### v1.0.3 (30 October 2019)
  * [94da099](https://github.com/pact-foundation/pact-go/commit/94da099) - chore: set log level in Publish command (Matt Fellows, Wed Oct 30 15:23:16 2019 +1100)

### v1.0.2 (24 October 2019)
  * [7851c37](https://github.com/pact-foundation/pact-go/commit/7851c37) - fix: add TRACE log level to ensure output is filtered (Matt Fellows, Thu Oct 24 16:33:45 2019 +1100)

### v1.0.1 (24 October 2019)
  * [2a4dcc8](https://github.com/pact-foundation/pact-go/commit/2a4dcc8) - fix: remove double escaping for regex matcher. Fixes #119 (Matt Fellows, Wed Oct 23 22:11:16 2019 +1100)
  * [649c7a8](https://github.com/pact-foundation/pact-go/commit/649c7a8) - feat(matcher): add support for int, float + bool to dsl.Match (Matt Fellows, Wed Oct 23 17:14:55 2019 +1100)
  * [cb2a377](https://github.com/pact-foundation/pact-go/commit/cb2a377) - fix: fail if ProviderVersion not provided but BrokerURL is supplied (Matt Fellows, Fri Oct 18 16:02:12 2019 +1100)
  * [f97b6bd](https://github.com/pact-foundation/pact-go/commit/f97b6bd) - docs: update go version in readme (Matt Fellows, Fri Oct 18 16:01:44 2019 +1100)
  * [dda1b80](https://github.com/pact-foundation/pact-go/commit/dda1b80) - docs: specific the v1 prefix when installing Pact Go (Matt Fellows, Fri Oct 18 14:55:29 2019 +1100)

### v1.0.0 (18 October 2019)
  * [f8ed328](https://github.com/pact-foundation/pact-go/commit/f8ed328) - docs: fix TOC and example in readme (Matt Fellows, Fri Oct 18 14:40:50 2019 +1100)
  * [54d3c64](https://github.com/pact-foundation/pact-go/commit/54d3c64) - example: remove go-kit example (Matt Fellows, Mon Oct 14 23:56:54 2019 +1100)
  * [89b8822](https://github.com/pact-foundation/pact-go/commit/89b8822) - feat(tls): allow custom TLS configuration for provider veriication (Matt Fellows, Thu Sep 5 16:08:11 2019 +1000)
  * [fce9b0c](https://github.com/pact-foundation/pact-go/commit/fce9b0c) - fix: clear out mock service interactions on verification failure. Fixes #108 (Matt Fellows, Sat Aug 17 23:21:51 2019 +1000)
  * [c318066](https://github.com/pact-foundation/pact-go/commit/c318066) - test: add e2e regression for CustomProviderHeaers in httpbin test. Fixes #113 (Matt Fellows, Sat Aug 17 22:50:02 2019 +1000)
  * [fdc6dca](https://github.com/pact-foundation/pact-go/commit/fdc6dca) - feat(tags): adds a better error message when no pacts found to verify. Fixes #105. (Matt Fellows, Sat Aug 17 22:27:06 2019 +1000)
  * [17242e6](https://github.com/pact-foundation/pact-go/commit/17242e6) - test: run example httpbin external provider as part of e2e tests (Matt Fellows, Sat Aug 17 21:49:52 2019 +1000)
  * [6eacf8e](https://github.com/pact-foundation/pact-go/commit/6eacf8e) - fix(https): enable external https verifications (Matt Fellows, Fri Aug 16 22:24:04 2019 +1000)
  * [3640617](https://github.com/pact-foundation/pact-go/commit/3640617) - Fix tags & provider not being passed to the pact-provider-verifier (#117) (Rob Graham, Fri Aug 9 01:50:38 2019 +0100)
  * [735416c](https://github.com/pact-foundation/pact-go/commit/735416c) - docs: remove outdated community channels (Matt Fellows, Fri Jul 19 15:22:01 2019 +1000)
  * [dba4481](https://github.com/pact-foundation/pact-go/commit/dba4481) - fix: pact broker is backwards compatible. Fixes #114 (Matt Fellows, Mon Jul 8 08:36:13 2019 +1000)
  * [08ca3f3](https://github.com/pact-foundation/pact-go/commit/08ca3f3) - Create FUNDING.yml (Matt Fellows, Fri Jul 5 15:16:18 2019 +1000)
  * [ae7790d](https://github.com/pact-foundation/pact-go/commit/ae7790d) - fix(provider): restore CustomProviderHeaders in provider verification (Matt Fellows, Tue May 28 08:25:09 2019 +1000)
  * [467dea5](https://github.com/pact-foundation/pact-go/commit/467dea5) - fix(docs): Fix code examples, update E2E test steps (#110) (Brendan Devenney, Mon Apr 1 20:37:33 2019 +0100)
  * [f7dda3b](https://github.com/pact-foundation/pact-go/commit/f7dda3b) - refactor(examples): make examples more consistent for readability (Matt Fellows, Sun Mar 17 12:14:50 2019 +1100)
  * [0346784](https://github.com/pact-foundation/pact-go/commit/0346784) - feat(hooks): support hook functions and request middleware (Matt Fellows, Sun Mar 10 21:40:37 2019 +1100)
  * [3cd947f](https://github.com/pact-foundation/pact-go/commit/3cd947f) - feat(hooks): improve test coverage across Message pacts (Matt Fellows, Sun Mar 3 22:56:25 2019 +1100)
  * [f5678c7](https://github.com/pact-foundation/pact-go/commit/f5678c7) - feat(hooks): add RequestFilter and StateHandlers to DSL (Matt Fellows, Tue Feb 26 22:21:13 2019 +1100)
  * [b76bf64](https://github.com/pact-foundation/pact-go/commit/b76bf64) - refactor: removed extra quotes from string Like match (#106) (Alex Ramey, Sat Dec 29 18:58:07 2018 -0500)
  * [4027a8b](https://github.com/pact-foundation/pact-go/commit/4027a8b) - remove duplicated switch case (Iskander (Alex) Sharipov, Mon Dec 10 16:41:48 2018 +0300)
  * [da3653c](https://github.com/pact-foundation/pact-go/commit/da3653c) - feat(api): rename Matcher and StringMatcher (Alex Tsibulya, Tue Nov 27 17:51:15 2018 -0800)
  * [c4d672d](https://github.com/pact-foundation/pact-go/commit/c4d672d) - feat(api): inject matcher type in JSON marshaler (Alex Tsibulya, Wed Nov 28 08:30:30 2018 -0800)
  * [633eb1f](https://github.com/pact-foundation/pact-go/commit/633eb1f) - feat(api): use static types for built-in matchers (Alex Tsibulya, Tue Oct 16 07:47:00 2018 -0700)
  * [24ee70f](https://github.com/pact-foundation/pact-go/commit/24ee70f) - use the ProviderBaseURL's host when verifying the provider is alive 🐛 (Aidan Fewster, Mon Nov 26 12:33:30 2018 +0000)
  * [326282a](https://github.com/pact-foundation/pact-go/commit/326282a) - fix(version check): Only parse the last line on stdout when checking for version of cli tools (David Elliott, Thu Nov 15 08:12:22 2018 -0600)
  * [d8bd08a](https://github.com/pact-foundation/pact-go/commit/d8bd08a) - feat(get-value): implement GetValue in Matcher (Alex Tsibulya, Fri Oct 12 08:11:36 2018 -0700)
  * [2acf846](https://github.com/pact-foundation/pact-go/commit/2acf846) - fix(message): set correct default for message Pact write mode. Fixes #96 (Matt Fellows, Fri Sep 28 14:34:45 2018 +1000)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.8 (15 October 2019)
  * [54d3c64](https://github.com/pact-foundation/pact-go/commit/54d3c64) - example: remove go-kit example (Matt Fellows, Mon Oct 14 23:56:54 2019 +1100)
  * [89b8822](https://github.com/pact-foundation/pact-go/commit/89b8822) - feat(tls): allow custom TLS configuration for provider veriication (Matt Fellows, Thu Sep 5 16:08:11 2019 +1000)
  * [fce9b0c](https://github.com/pact-foundation/pact-go/commit/fce9b0c) - fix: clear out mock service interactions on verification failure. Fixes #108 (Matt Fellows, Sat Aug 17 23:21:51 2019 +1000)
  * [c318066](https://github.com/pact-foundation/pact-go/commit/c318066) - test: add e2e regression for CustomProviderHeaers in httpbin test. Fixes #113 (Matt Fellows, Sat Aug 17 22:50:02 2019 +1000)
  * [fdc6dca](https://github.com/pact-foundation/pact-go/commit/fdc6dca) - feat(tags): adds a better error message when no pacts found to verify. Fixes #105. (Matt Fellows, Sat Aug 17 22:27:06 2019 +1000)
  * [17242e6](https://github.com/pact-foundation/pact-go/commit/17242e6) - test: run example httpbin external provider as part of e2e tests (Matt Fellows, Sat Aug 17 21:49:52 2019 +1000)
  * [6eacf8e](https://github.com/pact-foundation/pact-go/commit/6eacf8e) - fix(https): enable external https verifications (Matt Fellows, Fri Aug 16 22:24:04 2019 +1000)
  * [3640617](https://github.com/pact-foundation/pact-go/commit/3640617) - Fix tags & provider not being passed to the pact-provider-verifier (#117) (Rob Graham, Fri Aug 9 01:50:38 2019 +0100)
  * [735416c](https://github.com/pact-foundation/pact-go/commit/735416c) - docs: remove outdated community channels (Matt Fellows, Fri Jul 19 15:22:01 2019 +1000)
  * [dba4481](https://github.com/pact-foundation/pact-go/commit/dba4481) - fix: pact broker is backwards compatible. Fixes #114 (Matt Fellows, Mon Jul 8 08:36:13 2019 +1000)
  * [08ca3f3](https://github.com/pact-foundation/pact-go/commit/08ca3f3) - Create FUNDING.yml (Matt Fellows, Fri Jul 5 15:16:18 2019 +1000)
  * [ae7790d](https://github.com/pact-foundation/pact-go/commit/ae7790d) - fix(provider): restore CustomProviderHeaders in provider verification (Matt Fellows, Tue May 28 08:25:09 2019 +1000)
  * [467dea5](https://github.com/pact-foundation/pact-go/commit/467dea5) - fix(docs): Fix code examples, update E2E test steps (#110) (Brendan Devenney, Mon Apr 1 20:37:33 2019 +0100)
  * [f7dda3b](https://github.com/pact-foundation/pact-go/commit/f7dda3b) - refactor(examples): make examples more consistent for readability (Matt Fellows, Sun Mar 17 12:14:50 2019 +1100)
  * [0346784](https://github.com/pact-foundation/pact-go/commit/0346784) - feat(hooks): support hook functions and request middleware (Matt Fellows, Sun Mar 10 21:40:37 2019 +1100)
  * [3cd947f](https://github.com/pact-foundation/pact-go/commit/3cd947f) - feat(hooks): improve test coverage across Message pacts (Matt Fellows, Sun Mar 3 22:56:25 2019 +1100)
  * [f5678c7](https://github.com/pact-foundation/pact-go/commit/f5678c7) - feat(hooks): add RequestFilter and StateHandlers to DSL (Matt Fellows, Tue Feb 26 22:21:13 2019 +1100)
  * [b76bf64](https://github.com/pact-foundation/pact-go/commit/b76bf64) - refactor: removed extra quotes from string Like match (#106) (Alex Ramey, Sat Dec 29 18:58:07 2018 -0500)
  * [4027a8b](https://github.com/pact-foundation/pact-go/commit/4027a8b) - remove duplicated switch case (Iskander (Alex) Sharipov, Mon Dec 10 16:41:48 2018 +0300)
  * [da3653c](https://github.com/pact-foundation/pact-go/commit/da3653c) - feat(api): rename Matcher and StringMatcher (Alex Tsibulya, Tue Nov 27 17:51:15 2018 -0800)
  * [c4d672d](https://github.com/pact-foundation/pact-go/commit/c4d672d) - feat(api): inject matcher type in JSON marshaler (Alex Tsibulya, Wed Nov 28 08:30:30 2018 -0800)
  * [633eb1f](https://github.com/pact-foundation/pact-go/commit/633eb1f) - feat(api): use static types for built-in matchers (Alex Tsibulya, Tue Oct 16 07:47:00 2018 -0700)
  * [24ee70f](https://github.com/pact-foundation/pact-go/commit/24ee70f) - use the ProviderBaseURL's host when verifying the provider is alive 🐛 (Aidan Fewster, Mon Nov 26 12:33:30 2018 +0000)
  * [326282a](https://github.com/pact-foundation/pact-go/commit/326282a) - fix(version check): Only parse the last line on stdout when checking for version of cli tools (David Elliott, Thu Nov 15 08:12:22 2018 -0600)
  * [d8bd08a](https://github.com/pact-foundation/pact-go/commit/d8bd08a) - feat(get-value): implement GetValue in Matcher (Alex Tsibulya, Fri Oct 12 08:11:36 2018 -0700)
  * [2acf846](https://github.com/pact-foundation/pact-go/commit/2acf846) - fix(message): set correct default for message Pact write mode. Fixes #96 (Matt Fellows, Fri Sep 28 14:34:45 2018 +1000)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.7 (08 July 2019)
  * [dba4481](https://github.com/pact-foundation/pact-go/commit/dba4481) - fix: pact broker is backwards compatible. Fixes #114 (Matt Fellows, Mon Jul 8 08:36:13 2019 +1000)
  * [08ca3f3](https://github.com/pact-foundation/pact-go/commit/08ca3f3) - Create FUNDING.yml (Matt Fellows, Fri Jul 5 15:16:18 2019 +1000)
  * [ae7790d](https://github.com/pact-foundation/pact-go/commit/ae7790d) - fix(provider): restore CustomProviderHeaders in provider verification (Matt Fellows, Tue May 28 08:25:09 2019 +1000)
  * [467dea5](https://github.com/pact-foundation/pact-go/commit/467dea5) - fix(docs): Fix code examples, update E2E test steps (#110) (Brendan Devenney, Mon Apr 1 20:37:33 2019 +0100)
  * [f7dda3b](https://github.com/pact-foundation/pact-go/commit/f7dda3b) - refactor(examples): make examples more consistent for readability (Matt Fellows, Sun Mar 17 12:14:50 2019 +1100)
  * [0346784](https://github.com/pact-foundation/pact-go/commit/0346784) - feat(hooks): support hook functions and request middleware (Matt Fellows, Sun Mar 10 21:40:37 2019 +1100)
  * [3cd947f](https://github.com/pact-foundation/pact-go/commit/3cd947f) - feat(hooks): improve test coverage across Message pacts (Matt Fellows, Sun Mar 3 22:56:25 2019 +1100)
  * [f5678c7](https://github.com/pact-foundation/pact-go/commit/f5678c7) - feat(hooks): add RequestFilter and StateHandlers to DSL (Matt Fellows, Tue Feb 26 22:21:13 2019 +1100)
  * [b76bf64](https://github.com/pact-foundation/pact-go/commit/b76bf64) - refactor: removed extra quotes from string Like match (#106) (Alex Ramey, Sat Dec 29 18:58:07 2018 -0500)
  * [4027a8b](https://github.com/pact-foundation/pact-go/commit/4027a8b) - remove duplicated switch case (Iskander (Alex) Sharipov, Mon Dec 10 16:41:48 2018 +0300)
  * [da3653c](https://github.com/pact-foundation/pact-go/commit/da3653c) - feat(api): rename Matcher and StringMatcher (Alex Tsibulya, Tue Nov 27 17:51:15 2018 -0800)
  * [c4d672d](https://github.com/pact-foundation/pact-go/commit/c4d672d) - feat(api): inject matcher type in JSON marshaler (Alex Tsibulya, Wed Nov 28 08:30:30 2018 -0800)
  * [633eb1f](https://github.com/pact-foundation/pact-go/commit/633eb1f) - feat(api): use static types for built-in matchers (Alex Tsibulya, Tue Oct 16 07:47:00 2018 -0700)
  * [24ee70f](https://github.com/pact-foundation/pact-go/commit/24ee70f) - use the ProviderBaseURL's host when verifying the provider is alive 🐛 (Aidan Fewster, Mon Nov 26 12:33:30 2018 +0000)
  * [326282a](https://github.com/pact-foundation/pact-go/commit/326282a) - fix(version check): Only parse the last line on stdout when checking for version of cli tools (David Elliott, Thu Nov 15 08:12:22 2018 -0600)
  * [d8bd08a](https://github.com/pact-foundation/pact-go/commit/d8bd08a) - feat(get-value): implement GetValue in Matcher (Alex Tsibulya, Fri Oct 12 08:11:36 2018 -0700)
  * [2acf846](https://github.com/pact-foundation/pact-go/commit/2acf846) - fix(message): set correct default for message Pact write mode. Fixes #96 (Matt Fellows, Fri Sep 28 14:34:45 2018 +1000)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.6 (28 May 2019)
  * [ae7790d](https://github.com/pact-foundation/pact-go/commit/ae7790d) - fix(provider): restore CustomProviderHeaders in provider verification (Matt Fellows, Tue May 28 08:25:09 2019 +1000)
  * [467dea5](https://github.com/pact-foundation/pact-go/commit/467dea5) - fix(docs): Fix code examples, update E2E test steps (#110) (Brendan Devenney, Mon Apr 1 20:37:33 2019 +0100)
  * [f7dda3b](https://github.com/pact-foundation/pact-go/commit/f7dda3b) - refactor(examples): make examples more consistent for readability (Matt Fellows, Sun Mar 17 12:14:50 2019 +1100)
  * [0346784](https://github.com/pact-foundation/pact-go/commit/0346784) - feat(hooks): support hook functions and request middleware (Matt Fellows, Sun Mar 10 21:40:37 2019 +1100)
  * [3cd947f](https://github.com/pact-foundation/pact-go/commit/3cd947f) - feat(hooks): improve test coverage across Message pacts (Matt Fellows, Sun Mar 3 22:56:25 2019 +1100)
  * [f5678c7](https://github.com/pact-foundation/pact-go/commit/f5678c7) - feat(hooks): add RequestFilter and StateHandlers to DSL (Matt Fellows, Tue Feb 26 22:21:13 2019 +1100)
  * [b76bf64](https://github.com/pact-foundation/pact-go/commit/b76bf64) - refactor: removed extra quotes from string Like match (#106) (Alex Ramey, Sat Dec 29 18:58:07 2018 -0500)
  * [4027a8b](https://github.com/pact-foundation/pact-go/commit/4027a8b) - remove duplicated switch case (Iskander (Alex) Sharipov, Mon Dec 10 16:41:48 2018 +0300)
  * [da3653c](https://github.com/pact-foundation/pact-go/commit/da3653c) - feat(api): rename Matcher and StringMatcher (Alex Tsibulya, Tue Nov 27 17:51:15 2018 -0800)
  * [c4d672d](https://github.com/pact-foundation/pact-go/commit/c4d672d) - feat(api): inject matcher type in JSON marshaler (Alex Tsibulya, Wed Nov 28 08:30:30 2018 -0800)
  * [633eb1f](https://github.com/pact-foundation/pact-go/commit/633eb1f) - feat(api): use static types for built-in matchers (Alex Tsibulya, Tue Oct 16 07:47:00 2018 -0700)
  * [24ee70f](https://github.com/pact-foundation/pact-go/commit/24ee70f) - use the ProviderBaseURL's host when verifying the provider is alive 🐛 (Aidan Fewster, Mon Nov 26 12:33:30 2018 +0000)
  * [326282a](https://github.com/pact-foundation/pact-go/commit/326282a) - fix(version check): Only parse the last line on stdout when checking for version of cli tools (David Elliott, Thu Nov 15 08:12:22 2018 -0600)
  * [d8bd08a](https://github.com/pact-foundation/pact-go/commit/d8bd08a) - feat(get-value): implement GetValue in Matcher (Alex Tsibulya, Fri Oct 12 08:11:36 2018 -0700)
  * [2acf846](https://github.com/pact-foundation/pact-go/commit/2acf846) - fix(message): set correct default for message Pact write mode. Fixes #96 (Matt Fellows, Fri Sep 28 14:34:45 2018 +1000)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.5 (22 May 2019)
  * [467dea5](https://github.com/pact-foundation/pact-go/commit/467dea5) - fix(docs): Fix code examples, update E2E test steps (#110) (Brendan Devenney, Mon Apr 1 20:37:33 2019 +0100)
  * [f7dda3b](https://github.com/pact-foundation/pact-go/commit/f7dda3b) - refactor(examples): make examples more consistent for readability (Matt Fellows, Sun Mar 17 12:14:50 2019 +1100)
  * [0346784](https://github.com/pact-foundation/pact-go/commit/0346784) - feat(hooks): support hook functions and request middleware (Matt Fellows, Sun Mar 10 21:40:37 2019 +1100)
  * [3cd947f](https://github.com/pact-foundation/pact-go/commit/3cd947f) - feat(hooks): improve test coverage across Message pacts (Matt Fellows, Sun Mar 3 22:56:25 2019 +1100)
  * [f5678c7](https://github.com/pact-foundation/pact-go/commit/f5678c7) - feat(hooks): add RequestFilter and StateHandlers to DSL (Matt Fellows, Tue Feb 26 22:21:13 2019 +1100)
  * [b76bf64](https://github.com/pact-foundation/pact-go/commit/b76bf64) - refactor: removed extra quotes from string Like match (#106) (Alex Ramey, Sat Dec 29 18:58:07 2018 -0500)
  * [4027a8b](https://github.com/pact-foundation/pact-go/commit/4027a8b) - remove duplicated switch case (Iskander (Alex) Sharipov, Mon Dec 10 16:41:48 2018 +0300)
  * [da3653c](https://github.com/pact-foundation/pact-go/commit/da3653c) - feat(api): rename Matcher and StringMatcher (Alex Tsibulya, Tue Nov 27 17:51:15 2018 -0800)
  * [c4d672d](https://github.com/pact-foundation/pact-go/commit/c4d672d) - feat(api): inject matcher type in JSON marshaler (Alex Tsibulya, Wed Nov 28 08:30:30 2018 -0800)
  * [633eb1f](https://github.com/pact-foundation/pact-go/commit/633eb1f) - feat(api): use static types for built-in matchers (Alex Tsibulya, Tue Oct 16 07:47:00 2018 -0700)
  * [24ee70f](https://github.com/pact-foundation/pact-go/commit/24ee70f) - use the ProviderBaseURL's host when verifying the provider is alive 🐛 (Aidan Fewster, Mon Nov 26 12:33:30 2018 +0000)
  * [326282a](https://github.com/pact-foundation/pact-go/commit/326282a) - fix(version check): Only parse the last line on stdout when checking for version of cli tools (David Elliott, Thu Nov 15 08:12:22 2018 -0600)
  * [d8bd08a](https://github.com/pact-foundation/pact-go/commit/d8bd08a) - feat(get-value): implement GetValue in Matcher (Alex Tsibulya, Fri Oct 12 08:11:36 2018 -0700)
  * [2acf846](https://github.com/pact-foundation/pact-go/commit/2acf846) - fix(message): set correct default for message Pact write mode. Fixes #96 (Matt Fellows, Fri Sep 28 14:34:45 2018 +1000)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.4 (17 March 2019)
  * [f7dda3b](https://github.com/pact-foundation/pact-go/commit/f7dda3b) - refactor(examples): make examples more consistent for readability (Matt Fellows, Sun Mar 17 12:14:50 2019 +1100)
  * [0346784](https://github.com/pact-foundation/pact-go/commit/0346784) - feat(hooks): support hook functions and request middleware (Matt Fellows, Sun Mar 10 21:40:37 2019 +1100)
  * [3cd947f](https://github.com/pact-foundation/pact-go/commit/3cd947f) - feat(hooks): improve test coverage across Message pacts (Matt Fellows, Sun Mar 3 22:56:25 2019 +1100)
  * [f5678c7](https://github.com/pact-foundation/pact-go/commit/f5678c7) - feat(hooks): add RequestFilter and StateHandlers to DSL (Matt Fellows, Tue Feb 26 22:21:13 2019 +1100)
  * [b76bf64](https://github.com/pact-foundation/pact-go/commit/b76bf64) - refactor: removed extra quotes from string Like match (#106) (Alex Ramey, Sat Dec 29 18:58:07 2018 -0500)
  * [4027a8b](https://github.com/pact-foundation/pact-go/commit/4027a8b) - remove duplicated switch case (Iskander (Alex) Sharipov, Mon Dec 10 16:41:48 2018 +0300)
  * [da3653c](https://github.com/pact-foundation/pact-go/commit/da3653c) - feat(api): rename Matcher and StringMatcher (Alex Tsibulya, Tue Nov 27 17:51:15 2018 -0800)
  * [c4d672d](https://github.com/pact-foundation/pact-go/commit/c4d672d) - feat(api): inject matcher type in JSON marshaler (Alex Tsibulya, Wed Nov 28 08:30:30 2018 -0800)
  * [633eb1f](https://github.com/pact-foundation/pact-go/commit/633eb1f) - feat(api): use static types for built-in matchers (Alex Tsibulya, Tue Oct 16 07:47:00 2018 -0700)
  * [24ee70f](https://github.com/pact-foundation/pact-go/commit/24ee70f) - use the ProviderBaseURL's host when verifying the provider is alive 🐛 (Aidan Fewster, Mon Nov 26 12:33:30 2018 +0000)
  * [326282a](https://github.com/pact-foundation/pact-go/commit/326282a) - fix(version check): Only parse the last line on stdout when checking for version of cli tools (David Elliott, Thu Nov 15 08:12:22 2018 -0600)
  * [d8bd08a](https://github.com/pact-foundation/pact-go/commit/d8bd08a) - feat(get-value): implement GetValue in Matcher (Alex Tsibulya, Fri Oct 12 08:11:36 2018 -0700)
  * [2acf846](https://github.com/pact-foundation/pact-go/commit/2acf846) - fix(message): set correct default for message Pact write mode. Fixes #96 (Matt Fellows, Fri Sep 28 14:34:45 2018 +1000)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.3 (26 November 2018)
  * [24ee70f](https://github.com/pact-foundation/pact-go/commit/24ee70f) - use the ProviderBaseURL's host when verifying the provider is alive 🐛 (Aidan Fewster, Mon Nov 26 12:33:30 2018 +0000)
  * [326282a](https://github.com/pact-foundation/pact-go/commit/326282a) - fix(version check): Only parse the last line on stdout when checking for version of cli tools (David Elliott, Thu Nov 15 08:12:22 2018 -0600)
  * [d8bd08a](https://github.com/pact-foundation/pact-go/commit/d8bd08a) - feat(get-value): implement GetValue in Matcher (Alex Tsibulya, Fri Oct 12 08:11:36 2018 -0700)
  * [2acf846](https://github.com/pact-foundation/pact-go/commit/2acf846) - fix(message): set correct default for message Pact write mode. Fixes #96 (Matt Fellows, Fri Sep 28 14:34:45 2018 +1000)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.2 (01 August 2018)
  * [48038ff](https://github.com/pact-foundation/pact-go/commit/48038ff) - fix(match-float): differentiate float vs int in dsl.Match. Fixes #93 (Matt Fellows, Wed Aug 1 07:40:16 2018 +1000)
  * [ea42258](https://github.com/pact-foundation/pact-go/commit/ea42258) - feat(upgrade): upgrade to 1.54.1 of standalone CLI (Matt Fellows, Sat Jul 28 13:50:54 2018 +1000)
  * [256c2c8](https://github.com/pact-foundation/pact-go/commit/256c2c8) - fix(tests): fix deadlock for non-race tests (Matt Fellows, Sat Jul 14 19:37:55 2018 +1000)
  * [56c79b2](https://github.com/pact-foundation/pact-go/commit/56c79b2) - fix(tests): remove race condition in service manager. Fixes #89 (Matt Fellows, Sat Jul 14 19:30:51 2018 +1000)
  * [8c8f921](https://github.com/pact-foundation/pact-go/commit/8c8f921) - maintenance(logging): reduce pact discovery log noise (Matt Fellows, Sat Jul 14 17:12:24 2018 +1000)
  * [c2dcd78](https://github.com/pact-foundation/pact-go/commit/c2dcd78) - fix(message): include user-configurable timeout in Message Pact (Matt Fellows, Sat Jul 14 17:06:14 2018 +1000)
  * [853794f](https://github.com/pact-foundation/pact-go/commit/853794f) - fix(os-exit): remove  calls. See #46 (Matt Fellows, Sat Jul 14 14:11:19 2018 +1000)
  * [5275db7](https://github.com/pact-foundation/pact-go/commit/5275db7) - feat(client): allow customization of client timeout (#86) (Gael du Plessix, Fri Jul 13 07:45:49 2018 +0200)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.1 (13 July 2018)
  * [2635dd0](https://github.com/pact-foundation/pact-go/commit/2635dd0) - feat(upgrade): upgrade to latest CLI tools 1.52.0 (Matt Fellows, Fri Jul 13 15:37:55 2018 +1000)
  * [9059d31](https://github.com/pact-foundation/pact-go/commit/9059d31) - feat(verifications): parse multiple verifications into tests. Fixes #88 (Matt Fellows, Fri Jul 13 15:30:47 2018 +1000)
  * [f648890](https://github.com/pact-foundation/pact-go/commit/f648890) - Fix link (#90) (tomoya yokota, Tue Jul 10 19:47:31 2018 +0900)
  * [0ab057f](https://github.com/pact-foundation/pact-go/commit/0ab057f) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [250baaa](https://github.com/pact-foundation/pact-go/commit/250baaa) - feat(state): update dsl.State to support v3 params (Matt Fellows, Tue May 22 16:33:04 2018 +1000)
  * [d64e50b](https://github.com/pact-foundation/pact-go/commit/d64e50b) - feat(cli): add PACT_DISABLE_TOOL_VALIDITY_CHECK env var (Matt Fellows, Sun May 20 19:44:49 2018 +1000)
  * [288a771](https://github.com/pact-foundation/pact-go/commit/288a771) - feat(api): v1.x.x daemonless, v3 API 🎉 (Matt Fellows, Sun May 20 17:40:52 2018 +1000)
  * [9d5d1ab](https://github.com/pact-foundation/pact-go/commit/9d5d1ab) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [45b72ae](https://github.com/pact-foundation/pact-go/commit/45b72ae) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [a6a3e76](https://github.com/pact-foundation/pact-go/commit/a6a3e76) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:14:10 2018 +1100)
  * [e2362ea](https://github.com/pact-foundation/pact-go/commit/e2362ea) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [3bc71f1](https://github.com/pact-foundation/pact-go/commit/3bc71f1) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)

### v1.0.0-beta.1 (20 May 2018)
  * [c45d3cc](https://github.com/pact-foundation/pact-go/commit/c45d3cc) - fix(broker): fix pact retrieval from broker (Matt Fellows, Sun May 20 16:04:41 2018 +1000)
  * [738e20a](https://github.com/pact-foundation/pact-go/commit/738e20a) - feat(message): tidy up Message interface (Matt Fellows, Sun May 20 13:16:00 2018 +1000)
  * [2e0f236](https://github.com/pact-foundation/pact-go/commit/2e0f236) - upgrade(broker): allow pb:pacts and pacts HAL links to be followed (Matt Fellows, Sun May 20 13:15:52 2018 +1000)
  * [808ebfa](https://github.com/pact-foundation/pact-go/commit/808ebfa) - fix(broker): use 'pb:pacts' instead 'pacts'. See #82 (Matt Fellows, Fri May 18 22:55:20 2018 +1000)
  * [ab9ce17](https://github.com/pact-foundation/pact-go/commit/ab9ce17) - feat(auto-matching): allow complex expressions in pact tags (Matt Fellows, Fri May 18 07:38:15 2018 +1000)
  * [16a9146](https://github.com/pact-foundation/pact-go/commit/16a9146) - feat(matching): add auto-match capability (#78) (Alex Ramey, Tue May 8 16:39:00 2018 -0400)
  * [6a5e578](https://github.com/pact-foundation/pact-go/commit/6a5e578) - feat(publisher): add SetClient func (Deseao, Thu May 10 12:07:57 2018 -0500)
  * [4fda26a](https://github.com/pact-foundation/pact-go/commit/4fda26a) - feat(messages): add support for Message type casting (Matt Fellows, Tue May 8 07:31:07 2018 +1000)
  * [81d0c46](https://github.com/pact-foundation/pact-go/commit/81d0c46) - examples(message): fix message provider example (Matt Fellows, Sat May 5 12:17:46 2018 +1000)
  * [ad7454e](https://github.com/pact-foundation/pact-go/commit/ad7454e) - feat(message): cleanup handler interfaces (Matt Fellows, Wed Apr 4 22:22:13 2018 +1000)
  * [6b2e2c5](https://github.com/pact-foundation/pact-go/commit/6b2e2c5) - feat(message): simplify message pact provider interface (Matt Fellows, Wed Apr 4 13:51:48 2018 +1000)
  * [372633e](https://github.com/pact-foundation/pact-go/commit/372633e) - feat(messages): update to latest standalone (Matt Fellows, Wed Apr 4 09:55:47 2018 +1000)
  * [bd2067b](https://github.com/pact-foundation/pact-go/commit/bd2067b) - fix(verification): fix verifier CLI invocation with multiple pacts. Fixes #75 (Matt Fellows, Sat Mar 31 15:23:33 2018 +1100)
  * [0c84cdc](https://github.com/pact-foundation/pact-go/commit/0c84cdc) - feat(matching): deprecate matching JSON formatted objects (Matt Fellows, Wed Mar 28 18:06:05 2018 +1100)
  * [4089f19](https://github.com/pact-foundation/pact-go/commit/4089f19) - feat(messages): implement initial producer and consumer interfaces (Matt Fellows, Sun Mar 25 23:33:15 2018 +1100)
  * [e137e7c](https://github.com/pact-foundation/pact-go/commit/e137e7c) - feat(install): commands check version currency before running (Matt Fellows, Sun Mar 25 17:36:26 2018 +1100)
  * [77e4e40](https://github.com/pact-foundation/pact-go/commit/77e4e40) - fix(verbose): remove Verbose flag on verifier. Fixes #70 (Matt Fellows, Sun Mar 25 16:37:42 2018 +1100)
  * [8d4ef22](https://github.com/pact-foundation/pact-go/commit/8d4ef22) - fix(verifier): log out correct verifier output during tests (Matt Fellows, Sun Mar 25 16:35:17 2018 +1100)
  * [80f3f6f](https://github.com/pact-foundation/pact-go/commit/80f3f6f) - feat(matchers): add more matchers for more fun 🎉 (Matt Fellows, Sat Mar 24 18:44:42 2018 +1100)
  * [00e7d7f](https://github.com/pact-foundation/pact-go/commit/00e7d7f) - feat(api): uplift API to support better matching (Matt Fellows, Sat Mar 24 11:36:06 2018 +1100)
  * [a13c8f5](https://github.com/pact-foundation/pact-go/commit/a13c8f5) - fix(matchers): allow matchers in request fields (Matt Fellows, Thu Mar 22 18:11:06 2018 +1100)
  * [eba2758](https://github.com/pact-foundation/pact-go/commit/eba2758) - fix: pass pact-file-write-mode to CLI #71 (Matt Fellows, Wed Mar 21 10:31:00 2018 +1100)
  * [2b8217f](https://github.com/pact-foundation/pact-go/commit/2b8217f) - Fix broken links to realestate-com-au/pact/wiki (#68) (Mohan Raj Rajamanickam, Tue Mar 13 14:28:58 2018 -0700)
  * [1ad4f8c](https://github.com/pact-foundation/pact-go/commit/1ad4f8c) - Revert "fix(utf8): revert utf8 tests until feature fixed" (Matt Fellows, Tue Mar 20 13:15:03 2018 +1100)
  * [40a4e1d](https://github.com/pact-foundation/pact-go/commit/40a4e1d) - feat(utf8): ensure env vars are passed through to all commands (Matt Fellows, Tue Mar 20 13:05:59 2018 +1100)
  * [b7cea76](https://github.com/pact-foundation/pact-go/commit/b7cea76) - fix(utf8): revert utf8 tests until feature fixed (Matt Fellows, Tue Mar 20 08:38:02 2018 +1100)
  * [5a7529a](https://github.com/pact-foundation/pact-go/commit/5a7529a) - feat(daemonless): refactor out daemon code (Matt Fellows, Mon Mar 19 22:44:57 2018 +1100)
  * [a9690a4](https://github.com/pact-foundation/pact-go/commit/a9690a4) - feat(daemonless): initial wip to install deps (Matt Fellows, Wed Mar 14 11:37:00 2018 +1100)
  * [b5db82a](https://github.com/pact-foundation/pact-go/commit/b5db82a) - Update CONTRIBUTING.md (Mohan Raj Rajamanickam, Mon Jan 22 11:13:29 2018 -0800)
  * [4494c82](https://github.com/pact-foundation/pact-go/commit/4494c82) - Fixing broken links and references in CONTRIBUTING (Mohan Raj Rajamanickam, Tue Jan 16 14:44:35 2018 -0800)
  * [8afba3a](https://github.com/pact-foundation/pact-go/commit/8afba3a) - feat(custom-headers): allow custom headers during provider verification (Matt Fellows, Sun Dec 10 09:32:33 2017 +1100)

### v0.0.11 (10 December 2017)
  * [8afba3a](https://github.com/pact-foundation/pact-go/commit/8afba3a) - feat(custom-headers): allow custom headers during provider verification (Matt Fellows, Sun Dec 10 09:32:33 2017 +1100)

### v0.0.10 (12 November 2017)
  * [f7ba99f](https://github.com/pact-foundation/pact-go/commit/f7ba99f) - feat(verification): add testing.T to VerifyProvider for better test reporting (Matt Fellows, Sat Nov 11 16:46:00 2017 +1100)
  * [7e9d0cc](https://github.com/pact-foundation/pact-go/commit/7e9d0cc) - feat(verification): Expose verification output (Ben Marini, Thu Nov 9 12:34:20 2017 -0800)
  * [4653c81](https://github.com/pact-foundation/pact-go/commit/4653c81) - feat(upgrade): upgrade to latest standalone binary (Matt Fellows, Fri Nov 10 07:28:10 2017 +1100)
  * [9f66925](https://github.com/pact-foundation/pact-go/commit/9f66925) - fix(test): fix flakey tests due to race conditions (Ben Marini, Mon Nov 6 09:53:44 2017 -0800)
  * [e1d3fbc](https://github.com/pact-foundation/pact-go/commit/e1d3fbc) - Fixing readme so we can link to specific section. (Zach Bintliff, Wed Oct 18 16:01:21 2017 -0400)
  * [e71d05b](https://github.com/pact-foundation/pact-go/commit/e71d05b) - fix(vet error) (Zach Bintliff, Wed Oct 18 16:25:14 2017 -0400)
  * [6c7e7c9](https://github.com/pact-foundation/pact-go/commit/6c7e7c9) - Fixing readme so we can link to specific section. (Zach Bintliff, Wed Oct 18 16:01:21 2017 -0400)

### v0.0.9 (12 November 2017)
  * [f7ba99f](https://github.com/pact-foundation/pact-go/commit/f7ba99f) - feat(verification): add testing.T to VerifyProvider for better test reporting (Matt Fellows, Sat Nov 11 16:46:00 2017 +1100)
  * [7e9d0cc](https://github.com/pact-foundation/pact-go/commit/7e9d0cc) - feat(verification): Expose verification output (Ben Marini, Thu Nov 9 12:34:20 2017 -0800)
  * [4653c81](https://github.com/pact-foundation/pact-go/commit/4653c81) - feat(upgrade): upgrade to latest standalone binary (Matt Fellows, Fri Nov 10 07:28:10 2017 +1100)
  * [9f66925](https://github.com/pact-foundation/pact-go/commit/9f66925) - fix(test): fix flakey tests due to race conditions (Ben Marini, Mon Nov 6 09:53:44 2017 -0800)
  * [e1d3fbc](https://github.com/pact-foundation/pact-go/commit/e1d3fbc) - Fixing readme so we can link to specific section. (Zach Bintliff, Wed Oct 18 16:01:21 2017 -0400)
  * [e71d05b](https://github.com/pact-foundation/pact-go/commit/e71d05b) - fix(vet error) (Zach Bintliff, Wed Oct 18 16:25:14 2017 -0400)
  * [6c7e7c9](https://github.com/pact-foundation/pact-go/commit/6c7e7c9) - Fixing readme so we can link to specific section. (Zach Bintliff, Wed Oct 18 16:01:21 2017 -0400)
  * [153b949](https://github.com/pact-foundation/pact-go/commit/153b949) - feat(dsl): have dsl pass port for mock server instead of mock server (Zach Bintliff, Fri Sep 29 16:53:02 2017 -0400)
  * [72b7e52](https://github.com/pact-foundation/pact-go/commit/72b7e52) - feat(examples): all examples are now E2E regression tests (Matt Fellows, Sat Aug 12 22:22:35 2017 +1000)
  * [5d81925](https://github.com/pact-foundation/pact-go/commit/5d81925) - fix(tests): all e2e/examples put pacts in same dir (Matt Fellows, Sat Aug 12 21:14:59 2017 +1000)
  * [a61fcae](https://github.com/pact-foundation/pact-go/commit/a61fcae) - feat(upgrade): update to latest pact standalone v1.4.2 (Matt Fellows, Sat Aug 12 18:55:37 2017 +1000)
  * [8b8fba2](https://github.com/pact-foundation/pact-go/commit/8b8fba2) - feat(examples): run examples as part of CI (Matt Fellows, Tue Aug 8 19:49:06 2017 +1000)
  * [18dfef7](https://github.com/pact-foundation/pact-go/commit/18dfef7) - fix(windows): fix download paths for windows build (Matt Fellows, Tue Aug 8 18:44:32 2017 +1000)
  * [cdafe22](https://github.com/pact-foundation/pact-go/commit/cdafe22) - feat(standalone): use Ruby standalone package (Matt Fellows, Tue Aug 8 18:30:02 2017 +1000)
  * [0dbba75](https://github.com/pact-foundation/pact-go/commit/0dbba75) - feat(test): upgrade verifier to 1.3.1 (Matt Fellows, Tue Aug 8 15:45:20 2017 +1000)
  * [49d34ab](https://github.com/pact-foundation/pact-go/commit/49d34ab) - fix(test): wait for provider to be up in e2e test (Matt Fellows, Tue Aug 8 14:06:27 2017 +1000)
  * [79bcada](https://github.com/pact-foundation/pact-go/commit/79bcada) - feat(windows): add Windows PoSH build script (Matt Fellows, Sun Aug 6 21:55:44 2017 +1000)
  * [2201fe3](https://github.com/pact-foundation/pact-go/commit/2201fe3) - fix: make createSimplePact portable on windows (Matt Fellows, Sun Aug 6 18:58:13 2017 +1000)
  * [1836355](https://github.com/pact-foundation/pact-go/commit/1836355) - fix: added extra mock service args (Matt Fellows, Sun Aug 6 18:44:02 2017 +1000)
  * [29e4bc9](https://github.com/pact-foundation/pact-go/commit/29e4bc9) - fix: don't expect specific FS error (not portable) (Matt Fellows, Sun Aug 6 18:31:35 2017 +1000)
  * [07f2f99](https://github.com/pact-foundation/pact-go/commit/07f2f99) - fix: don't expect specific FS error (not portable) (Matt Fellows, Sun Aug 6 18:27:48 2017 +1000)
  * [136de24](https://github.com/pact-foundation/pact-go/commit/136de24) - feat(upgrade): upgrade to verifier v1.2.0 (Matt Fellows, Sun Aug 6 09:33:42 2017 +1000)

### 0.0.8 (15th July 2017)

  * [e1aaa4f](https://github.com/pact-foundation/pact-go/commit/e1aaa4f) - fix(test): add consumer test for #36 (Matt Fellows, Mon Jun 26 18:46:24 2017 +1000)
  * [cf10aa6](https://github.com/pact-foundation/pact-go/commit/cf10aa6) - fix: allow test within pact.Verify() to fail build (Matt Fellows, Wed Jun 21 00:02:44 2017 +1000)
  * [5a6855a](https://github.com/pact-foundation/pact-go/commit/5a6855a) - feat(upgrade): upgrade to provider verifier v1.1.2 (Matt Fellows, Mon Jun 12 21:31:58 2017 +1000)
  * [bcdf7b2](https://github.com/pact-foundation/pact-go/commit/bcdf7b2) - fix(log): incorrectly writing stderr to INFO and vice versa. Fixes #10 (Matt Fellows, Fri Jun 2 13:04:24 2017 +1000)
  * [4d838dc](https://github.com/pact-foundation/pact-go/commit/4d838dc) - feat(upgrade): upgrade to provider verifier v1.1.1 (Matt Fellows, Thu Jun 1 14:38:21 2017 +1000)
  * [05b3e65](https://github.com/pact-foundation/pact-go/commit/05b3e65) - feat(verification): remove ProviderStatesURL during verification (Matt Fellows, Thu Jun 1 13:43:36 2017 +1000)
  * [9002469](https://github.com/pact-foundation/pact-go/commit/9002469) - feat(upgrade): upgrade mock service to 2.1.0 (Matt Fellows, Mon May 15 08:57:36 2017 +1000)

### 0.0.7 (20th May 2017)

  * [9f2c7fe](https://github.com/pact-foundation/pact-go/commit/9f2c7fe) - feat(pactwritemode): allow user to set pact write mode.Fixes #30 (Matt Fellows, Fri May 12 10:53:32 2017 +1000)
  * [50d6b90](https://github.com/pact-foundation/pact-go/commit/50d6b90) - fix(providerstate): make provider state serialisation spec compliant #16 (Matt Fellows, Thu May 11 20:46:22 2017 +1000)

### 0.0.6 (12th May 2017)

  * [9f2c7fe](https://github.com/pact-foundation/pact-go/commit/9f2c7fe) - feat(pactwritemode): allow user to set pact write mode.Fixes #30 (Matt Fellows, Fri May 12 10:53:32 2017 +1000)
  * [50d6b90](https://github.com/pact-foundation/pact-go/commit/50d6b90) - fix(providerstate): make provider state serialisation spec compliant #16 (Matt Fellows, Thu May 11 20:46:22 2017 +1000)

### 0.0.5 (10th May 2017)

  * [ee36bff](https://github.com/pact-foundation/pact-go/commit/ee36bff) - feat(verification): publish verification results to broker (Matt Fellows, Tue May 9 15:02:05 2017 +1000)

### 0.0.4 (2nd May 2017)

  * [e89585e](https://github.com/pact-foundation/pact-go/commit/e89585e) - fix(verify) prevent crash when calling VerifyProvider() (Timothy Jones, Mon May 1 17:46:13 2017 +1000)
  * [8819608](https://github.com/pact-foundation/pact-go/commit/8819608) - feat(ruby): clean ruby stack trace in pact provider verification failures #19 (Matt Fellows, Sun Apr 30 14:25:55 2017 +1000)
  * [483d134](https://github.com/pact-foundation/pact-go/commit/483d134) - feat(verify): allow user to increase verbosity of verification process (Matt Fellows, Fri Apr 28 18:49:01 2017 +1000)
  * [c8f8c1b](https://github.com/pact-foundation/pact-go/commit/c8f8c1b) - feat(ruby): update to latest ruby dependencies 2.0.0 and 0.0.13 respectively (Matt Fellows, Fri Apr 28 18:44:53 2017 +1000)
  * [f1ee33c](https://github.com/pact-foundation/pact-go/commit/f1ee33c) - feat(e2e): run e2e tests in wercker builds. Fixes #20 (Matt Fellows, Fri Apr 28 18:43:53 2017 +1000)
  * [33a0434](https://github.com/pact-foundation/pact-go/commit/33a0434) - feat(fix): don't start mock server if not required. Fixes #21 (Matt Fellows, Fri Apr 28 17:07:39 2017 +1000)
  * [cb4d811](https://github.com/pact-foundation/pact-go/commit/cb4d811) - fix(windows): cleanup logging for windows service manager (Matt Fellows, Wed Feb 22 21:52:42 2017 +1100)
  * [d214c54](https://github.com/pact-foundation/pact-go/commit/d214c54) - fix: increased timeout to reduce likelihood of intermittent failure #11 (Matt Fellows, Tue Feb 21 21:42:36 2017 +1100)
  * [0bcca95](https://github.com/pact-foundation/pact-go/commit/0bcca95) - fix(windows): ability to pass in network and address into Pact DSL (Matt Fellows, Tue Feb 21 18:33:00 2017 +1100)
  * [e97226d](https://github.com/pact-foundation/pact-go/commit/e97226d) - fix(windows): windows leaves persistent connection open to Ruby, forcibly close 3s after interrupt  #9 (Matt Fellows, Tue Feb 21 00:17:46 2017 +1100)
  * [3616976](https://github.com/pact-foundation/pact-go/commit/3616976) - fix(windows): split pact verification CLI arg tuples into individual elements #9 (Matt Fellows, Mon Feb 20 18:12:04 2017 +1100)
  * [0dad9cc](https://github.com/pact-foundation/pact-go/commit/0dad9cc) - fix(windows): split mock service CLI arg tuples into individual elements #9 (Matt Fellows, Mon Feb 20 18:04:27 2017 +1100)
  * [2c6c84d](https://github.com/pact-foundation/pact-go/commit/2c6c84d) - fix(windows): update default pact output path (Matt Fellows, Mon Feb 20 17:53:04 2017 +1100)
  * [a963058](https://github.com/pact-foundation/pact-go/commit/a963058) - fix(windows): set default network to 'tcp' #9 (Matt Fellows, Mon Feb 20 17:49:39 2017 +1100)
  * [c84afad](https://github.com/pact-foundation/pact-go/commit/c84afad) - fix(windows): make log/pact output paths os-specific #9 (Matt Fellows, Mon Feb 20 17:47:58 2017 +1100)
  * [e586b1d](https://github.com/pact-foundation/pact-go/commit/e586b1d) - fix(windows): allow pact client to specify the network and address of daemon #9 (Matt Fellows, Mon Feb 20 17:46:54 2017 +1100)
  * [5c89b30](https://github.com/pact-foundation/pact-go/commit/5c89b30) - feat(daemon): allow user to specify network listen details for daemon (Matt Fellows, Mon Feb 20 08:59:49 2017 +1100)
  * [52b7e19](https://github.com/pact-foundation/pact-go/commit/52b7e19) - feat(examples): add vanilla golang ServeMux, update docs (Matt Fellows, Mon Sep 26 22:09:45 2016 +1000)

### 0.0.3 (30 April 2017)

  * [8819608](https://github.com/pact-foundation/pact-go/commit/8819608) - feat(ruby): clean ruby stack trace in pact provider verification failures #19 (Matt Fellows, Sun Apr 30 14:25:55 2017 +1000)
  * [483d134](https://github.com/pact-foundation/pact-go/commit/483d134) - feat(verify): allow user to increase verbosity of verification process (Matt Fellows, Fri Apr 28 18:49:01 2017 +1000)
  * [33a0434](https://github.com/pact-foundation/pact-go/commit/33a0434) - feat(fix): don't start mock server if not required. Fixes #21 (Matt Fellows, Fri Apr 28 17:07:39 2017 +1000)
  * [cb4d811](https://github.com/pact-foundation/pact-go/commit/cb4d811) - fix(windows): cleanup logging for windows service manager (Matt Fellows, Wed Feb 22 21:52:42 2017 +1100)
  * [d214c54](https://github.com/pact-foundation/pact-go/commit/d214c54) - fix: increased timeout to reduce likelihood of intermittent failure #11 (Matt Fellows, Tue Feb 21 21:42:36 2017 +1100)
  * [0bcca95](https://github.com/pact-foundation/pact-go/commit/0bcca95) - fix(windows): ability to pass in network and address into Pact DSL (Matt Fellows, Tue Feb 21 18:33:00 2017 +1100)
  * [e97226d](https://github.com/pact-foundation/pact-go/commit/e97226d) - fix(windows): windows leaves persistent connection open to Ruby, forcibly close 3s after interrupt  #9 (Matt Fellows, Tue Feb 21 00:17:46 2017 +1100)
  * [3616976](https://github.com/pact-foundation/pact-go/commit/3616976) - fix(windows): split pact verification CLI arg tuples into individual elements #9 (Matt Fellows, Mon Feb 20 18:12:04 2017 +1100)
  * [0dad9cc](https://github.com/pact-foundation/pact-go/commit/0dad9cc) - fix(windows): split mock service CLI arg tuples into individual elements #9 (Matt Fellows, Mon Feb 20 18:04:27 2017 +1100)
  * [2c6c84d](https://github.com/pact-foundation/pact-go/commit/2c6c84d) - fix(windows): update default pact output path (Matt Fellows, Mon Feb 20 17:53:04 2017 +1100)
  * [a963058](https://github.com/pact-foundation/pact-go/commit/a963058) - fix(windows): set default network to 'tcp' #9 (Matt Fellows, Mon Feb 20 17:49:39 2017 +1100)
  * [c84afad](https://github.com/pact-foundation/pact-go/commit/c84afad) - fix(windows): make log/pact output paths os-specific #9 (Matt Fellows, Mon Feb 20 17:47:58 2017 +1100)
  * [e586b1d](https://github.com/pact-foundation/pact-go/commit/e586b1d) - fix(windows): allow pact client to specify the network and address of daemon #9 (Matt Fellows, Mon Feb 20 17:46:54 2017 +1100)
  * [5c89b30](https://github.com/pact-foundation/pact-go/commit/5c89b30) - feat(daemon): allow user to specify network listen details for daemon (Matt Fellows, Mon Feb 20 08:59:49 2017 +1100)
  * [b82cb86](https://github.com/pact-foundation/pact-go/commit/b82cb86) - fix(verify): allow verification process to pull pacts from an https broker (Matt Fellows, Fri Jul 15 08:07:31 2016 +1000)
  * [9c1f206](https://github.com/pact-foundation/pact-go/commit/9c1f206) - refactor(review): improve API and reduce noise (Matt Fellows, Sun Jul 3 22:53:59 2016 +1000)

### 0.0.2 (1 July 2016)

  * [4e1539b](https://github.com/pact-foundation/pact-go/commit/4e1539b) - feature(example): add logout to Go Kit consumer (Matt Fellows, Wed Jun 15 08:58:45 2016 +1000)
  * [0cc51cd](https://github.com/pact-foundation/pact-go/commit/0cc51cd) - feat(example): dded login failure to Go Kit example (Matt Fellows, Wed Jun 15 08:50:53 2016 +1000)
  * [70c4469](https://github.com/pact-foundation/pact-go/commit/70c4469) - feat(example): simple bootstrap form for Go Kit UI (Matt Fellows, Tue Jun 14 21:30:49 2016 +1000)
  * [ff5e832](https://github.com/pact-foundation/pact-go/commit/ff5e832) - feat(publish): automatically write pact file on shutdown/teardown (Matt Fellows, Tue Jun 14 01:41:17 2016 +1000)
  * [0001703](https://github.com/pact-foundation/pact-go/commit/0001703) - feat(example): create example Go Kit microservice Pact testing (Matt Fellows, Sun Jun 12 10:26:21 2016 +1000)
  * [33f5394](https://github.com/pact-foundation/pact-go/commit/33f5394) - refactor(states): add types for provider state testing (Matt Fellows, Sun Jun 12 10:25:14 2016 +1000)
  * [ea2c807](https://github.com/pact-foundation/pact-go/commit/ea2c807) - feat(writepact): allow client to control when pact file is written (Matt Fellows, Sat Jun 11 23:18:26 2016 +1000)
  * [879a3b4](https://github.com/pact-foundation/pact-go/commit/879a3b4) - fix(daemon): fix daemon unable to find mock + verification service when called from $PATH (Matt Fellows, Sat Jun 11 13:01:25 2016 +1000)
  * [ef33b71](https://github.com/pact-foundation/pact-go/commit/ef33b71) - refactor(daemon): cleanup pointer usage in daemon code (Matt Fellows, Sat Jun 11 08:12:35 2016 +1000)
  * [7f64f9c](https://github.com/pact-foundation/pact-go/commit/7f64f9c) - feat(publish): publish pacts to a broker (Matt Fellows, Fri Jun 10 20:44:23 2016 +1000)

### 0.0.1 (7 June 2016)

  * [3255d7f](https://github.com/pact-foundation/pact-go/commit/3255d7f) - feat(verifier): complete implementation of pact verification feature (Matt Fellows, Mon Jun 6 22:41:44 2016 +1000)
  * [db83055](https://github.com/pact-foundation/pact-go/commit/db83055) - feat(logging): standardise log and output messages (Matt Fellows, Sun Jun 5 14:25:01 2016 +1000)
  * [7c3c70b](https://github.com/pact-foundation/pact-go/commit/7c3c70b) - feat(consumerdsl): working v1 consumer DSL interface (Matt Fellows, Sat Jun 4 18:52:38 2016 +1000)
  * [3b859cf](https://github.com/pact-foundation/pact-go/commit/3b859cf) - test(daemon): RPC Client error tests (Matt Fellows, Sat Jun 4 09:38:58 2016 +1000)
  * [7d8a0fd](https://github.com/pact-foundation/pact-go/commit/7d8a0fd) - test(service): remove need for a running pact mock service in tests (Matt Fellows, Fri Jun 3 22:05:12 2016 +1000)
  * [98b7c57](https://github.com/pact-foundation/pact-go/commit/98b7c57) - test(service): improved test coverage for services (Matt Fellows, Fri Jun 3 21:08:25 2016 +1000)
  * [c3f11e1](https://github.com/pact-foundation/pact-go/commit/c3f11e1) - test(daemon): coverage for shutting down the daemon via RPC (Matt Fellows, Fri Jun 3 08:19:35 2016 +1000)
  * [83c75c2](https://github.com/pact-foundation/pact-go/commit/83c75c2) - test(daemon): RPC client testing (Matt Fellows, Thu Jun 2 21:17:28 2016 +1000)
  * [3c71bba](https://github.com/pact-foundation/pact-go/commit/3c71bba) - test(service): initial service test coverage (Matt Fellows, Wed Jun 1 21:09:27 2016 +1000)
  * [27d50d4](https://github.com/pact-foundation/pact-go/commit/27d50d4) - test(daemon): RPC style tests to ensure client can work (Matt Fellows, Wed Jun 1 08:47:20 2016 +1000)
  * [5ccfb64](https://github.com/pact-foundation/pact-go/commit/5ccfb64) - test(daemon): working tests with RPC integration-style tests (Matt Fellows, Tue May 31 18:36:22 2016 +1000)
  * [3f764a6](https://github.com/pact-foundation/pact-go/commit/3f764a6) - test(daemon): working daemon tests (Matt Fellows, Tue May 31 10:30:53 2016 +1000)
  * [24e7c9b](https://github.com/pact-foundation/pact-go/commit/24e7c9b) - test(daemon): improved daemon test coverage (Matt Fellows, Tue May 31 07:30:17 2016 +1000)
  * [345cd9f](https://github.com/pact-foundation/pact-go/commit/345cd9f) - test(daemon): daemon testing (Matt Fellows, Mon May 30 22:41:15 2016 +1000)
  * [8c13832](https://github.com/pact-foundation/pact-go/commit/8c13832) - test(daemon): improved daemon test coverage for listing servers (Matt Fellows, Wed May 25 22:10:42 2016 +1000)
  * [2b5b06e](https://github.com/pact-foundation/pact-go/commit/2b5b06e) - feat(consumerdsl): initial shell for Pact Go (Matt Fellows, Sat May 21 13:27:21 2016 +1000)
